> For the complete documentation index, see [llms.txt](https://docs.migration-center.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.migration-center.com/scanners/documentum-audit-trail-scanner.md).

# Documentum Audit Trail Scanner

### Introduction <a href="#introduction" id="introduction"></a>

The Documentum Audit Trail Scanner extracts Documentum audit trail objects independently from document objects.

The scanner is available as the **DocumentumAuditTrail** adapter type. It creates source objects of type **Documentum(audittrail)** in **auditObjects** scanning mode or it creates **Documentum(document)** objects with a PDF rendition as content in the **pdfPerDocumentVersion** and **pdfPerVersionTree** scan modes.

It reuses the existing **Documentum** scanner behavior, and common parameters are unchanged. For supported Documentum Content Server versions, DFC configuration, scanner handling in WebClient, DQL usage, ID file usage, and general audit trail concepts, see the [Documentum Scanner](https://docs.migration-center.com/scanners/documentum-scanner) guide.

### Scanner Configuration <a href="#scanner-configuration" id="scanner-configuration"></a>

To create a new Documentum Audit Trail Scanner job, specify the respective adapter type in the Scanner Properties window - from the list of available connectors **DocumentumAuditTrail** must be selected. Once the adapter type has been selected, the Parameters list will be populated with the parameters specific to the selected adapter type.

The Properties window of a scanner can be accessed by double-clicking a scanner in the list or selecting the Properties button/menu item from the toolbar/context menu.

A detailed description is always displayed at the bottom of the window for the currently selected parameter.

### Scanner Parameters <a href="#scanner-parameters" id="scanner-parameters"></a>

The common adaptor parameters are described in [Common Parameters](https://docs.migration-center.com/common-parameters).

The configuration parameters available for the Documentum Audit Trail Scanner are described below:

* **username\***\
  Username for connecting to the source repository.\
  The user must have permissions to read the selected documents and audit trail entries. \
  A super user account is recommended.
* **password\***\
  The user's password.
* **repository\***\
  Name of the source repository. \
  The source repository must be accessible from the machine where the selected Job Server is running.
* **idsFilePath**\
  Path to a file containing the IDs of the documents whose audit trails should be scanned. \
  The IDs can be delimited by comma, semicolon, or new line. \
  When this parameter is set, **dqlString** must be empty.
* **dqlString**\
  The DQL statement used to retrieve the **r\_object\_id** values of the documents whose audit trails should be scanned. The validation rules are the same as for the Documentum Scanner. \
  When **includeAllVersions** is checked, the query must start with **select r\_object\_id** or **select distinct r\_object\_id**.
* **auditTrailScanMode**\
  Determines how selected audit trails are saved in migration-center. Possible values are **auditObjects**, **pdfPerDocumentVersion**, and **pdfPerVersionTree**. The default value is **auditObjects**.
* **includeAllVersions**\
  Flag indicating if audit trails should be scanned for the entire selected document version tree.\
  This parameter is used by the **auditObjects** and **pdfPerDocumentVersion** scan modes.
* **scanNullAttributes**\
  Flag indicating whether audit trail attributes with null values should be scanned. \
  By default, this option is unchecked in order to reduce database usage.
* **auditTrailType**\
  Documentum audit trail object type. The default value is **dm\_audittrail**. Custom audit trail types derived from **dm\_audittrail** are supported.
* **auditTrailSelection**\
  DQL WHERE condition for selecting the audit trail objects. Leave it empty to select all audit trail entries for the selected documents.\
  Example: *event\_name in ('dm\_save', 'dm\_checkin')*
* **auditTrailIgnoreAttributes**\
  List of audit trail attributes that will be ignored by the scanner.&#x20;
* **auditedDocumentAttributes**\
  Multi-value list of audited document attributes that should be added as metadata to generated PDF objects. \
  This parameter is used only when auditTrailScanMode is **pdfPerDocumentVersion** or **pdfPerVersionTree**.
* **exportLocation**\
  The location where generated PDF files should be saved. \
  This parameter is required when auditTrailScanMode is **pdfPerDocumentVersion** or **pdfPerVersionTree**.
* **loggingLevel\***\
  See [Common Parameters](https://docs.migration-center.com/common-parameters).

{% hint style="warning" %}
Parameters marked with an asterisk (\*) are mandatory.
{% endhint %}

### Working with Documentum Audit Trail Scanner <a href="#working-with-documentum-audit-trail-scanner" id="working-with-documentum-audit-trail-scanner"></a>

The scanner selects the audited documents using **dqlString** or **idsFilePath**. These parameters are mutually exclusive.

The scanner then selects the matching audit trails from **auditTrailType**, optionally filtered by **auditTrailSelection**.

The scanner does not export the content of the selected documents. It scans audit trail data either as audit trail objects or as generated PDF document objects.

### Scan modes <a href="#scan-modes" id="scan-modes"></a>

#### auditObjects <a href="#auditobjects" id="auditobjects"></a>

When **auditTrailScanMode** is set to **auditObjects**, the scanner creates one **Documentum(audittrail)** object for each selected audit trail.

The audit trail **r\_object\_id** is used as the object's **id\_in\_source\_system**.

#### pdfPerDocumentVersion <a href="#pdfperdocumentversion" id="pdfperdocumentversion"></a>

When **auditTrailScanMode** is set to **pdfPerDocumentVersion**, the scanner creates one **Documentum(document)** object for each selected document version that has selected audit trails.

The generated object content is a PDF containing all selected audit trails for that document version.\
The object **id\_in\_source\_system** is **\<r\_object\_id>\_audit**. \
The generated PDF is written under **exportLocation** and the path is saved in the **content\_location** system attribute.

The generated object contains the source attributes **latestAuditTrailId**, **audited\_doc\_i\_chronicle\_id**, and **audited\_doc\_r\_object\_id**.

If no audit trails match a selected document version, no PDF object is created for that version.

#### pdfPerVersionTree <a href="#pdfperversiontree" id="pdfperversiontree"></a>

When **auditTrailScanMode** is set to **pdfPerVersionTree**, the scanner groups selected audit trails by **i\_chronicle\_id** and creates one **Documentum(document)** object for each version tree that has selected audit trails .

The generated object content is a PDF containing all selected audit trails for the version tree. \
The object **id\_in\_source\_system** is **\<i\_chronicle\_id>\_audit\_vt**. \
The generated PDF is written under **exportLocation** and the path is saved in the **content\_location** system attribute.

The generated object contains the source attributes **latestAuditTrailId**, **audited\_doc\_i\_chronicle\_id**, and **audited\_doc\_r\_object\_id**.

If no audit trails match a selected version tree, no PDF object is created for that version tree.

### Delta scans <a href="#delta-scans" id="delta-scans"></a>

The scanner can be run repeatedly. Re-running the scanner does not create duplicate audit trail objects for audit trails that were already scanned.

In **auditObjects** mode, only new selected audit trails are added as **Documentum(audittrail)** objects.

In **pdfPerDocumentVersion** mode, an update object with the same **\<r\_object\_id>\_audit** source system ID is generated only when new selected audit trails exist for that document version.

In **pdfPerVersionTree** mode, an update object with the same **\<i\_chronicle\_id>\_audit\_vt** source system ID is generated only when new selected audit trails exist for that version tree.

Delta behavior respects **auditTrailType**, **auditTrailSelection**, **dqlString**, **idsFilePath**, and **includeAllVersions**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.migration-center.com/scanners/documentum-audit-trail-scanner.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
